## h5py 3.13.0

=== debian/changelog ===
h5py (3.13.0-1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:17:11 +0000

h5py (3.13.0-1ubuntu1) questing; urgency=medium

  * Adopt patch from Fedora to fix build with IEEE long double on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 04 Jun 2025 13:49:32 +0000

h5py (3.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sat, 22 Feb 2025 14:54:20 +0100

=== debian/control ===
Source: h5py
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               cython3,
               dpkg-dev (>= 1.17.14),
               libhdf5-dev,
               libhdf5-mpi-dev (>= 1.10.6+repack-1),
               liblzf-dev,
               libpython3-all-dev,
               mpi-default-dev,
               pkgconf,
               python3-all-dev:any,
               python3-cached-property,
               python3-mpi4py (>= 3.1.4),
               python3-numpy (>= 1.19.3),
               python3-pkgconfig,
               python3-pytest <!nocheck>,
               python3-pytest-mpi <!nocheck>,
               python3-setuptools,
Build-Depends-Indep:
               dh-sequence-sphinxdoc <!nodoc>,
               libjs-mathjax,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/h5py
Vcs-Git: https://salsa.debian.org/science-team/h5py.git
Homepage: https://www.h5py.org/

Package: python3-h5py
Architecture: all
Depends: python3-h5py-serial | python3-h5py-mpi,
 ${python3:Depends}, ${misc:Depends}
Suggests: python-h5py-doc <!nodoc>
Replaces: python3-h5py-serial (<< 3.10.0-1~)
Breaks: python3-h5py-serial (<< 3.10.0-1~)
Description: general-purpose Python interface to hdf5
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This is a simple dependency package which depends on the serial or
 MPI build of h5py and provides test data files.

Package: python3-h5py-serial
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-h5py
Suggests: python-h5py-doc <!nodoc>
Conflicts: python3-h5py (<< 2.10.0-3~)
Description: general-purpose Python interface to hdf5 (Python 3 serial)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the modules for Python 3, built for serial
 (single processor) jobs.

Package: python3-h5py-mpi
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-mpi4py (>= 3.0.3)
Recommends: python3-h5py
Suggests: python-h5py-doc <!nodoc>
Description: general-purpose Python interface to hdf5 (Python 3 MPI)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the modules for Python 3, built with support
 for MPI (multiprocessor) jobs.

Package: python-h5py-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
	 libjs-mathjax
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for h5py
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: hdf5-plugin-lzf
Architecture: any
Multi-Arch: same
Provides: hdf5-filter-plugin-lzf-serial, hdf5-filter-plugin-lzf-openmpi
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libhdf5-dev | libhdf5-mpi-dev
Description: hdf5 plugin to lzf compression library
 HDF5 (Hierarchical Data Format library, version 5) is a versatile,
 mature scientific software library designed for the fast, flexible
 storage of enormous amounts of data.
 .
 This package provides a plugin to the HDF5 LZF filter for the LZF
 compression library. Plugins are built for both serial (single
 processor) jobs (libhdf5-dev) and for multiprocessor (threaded) jobs
 (libhdf5-mpi-dev).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PYBUILD_NAME_SERIAL=h5py_serial
PYBUILD_NAME_MPI=h5py_mpi

BUILD_DIR_SERIAL=build-$(PYBUILD_NAME_SERIAL)
BUILD_DIR_MPI=build-$(PYBUILD_NAME_MPI)

SUBMODULE_SERIAL=_debian_$(PYBUILD_NAME_SERIAL)
SUBMODULE_MPI=_debian_$(PYBUILD_NAME_MPI)

PYBUILD_DIR_SERIAL=$(shell PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) pybuild -p `py3versions -dv` --print {build_dir})
PYBUILD_DIR_MPI=$(shell PYBUILD_NAME=$(PYBUILD_NAME_MPI) pybuild -p `py3versions -dv` --print {build_dir})

PY3VER=$(shell py3versions -dv)

export PRTE_MCA_plm_ssh_agent=/bin/false
export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe

# ros3 tests require internet, which is not available from debian buildds
SKIP_TEST_LIST = ros3

ifneq (,$(findstring $(DEB_HOST_ARCH), powerpc))
    SKIP_TEST_LIST += test_complex256 test_long_double test_custom_float_promotion
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), sparc64))
    SKIP_TEST_LIST += test_compound_vlen_bool test_compound_vlen_enum test_reference_numpyobj test_reference_field
endif

SKIP_TESTS=$(shell skip_tests=""; list_initialised=0; \
        for t in $(SKIP_TEST_LIST); do \
            if [ $${list_initialised} = 0 ]; then \
                skip_tests=$$t; \
                list_initialised=1; \
            else \
                skip_tests="$${skip_tests} or $$t"; \
            fi; \
        done; \
        if [ "x$${skip_tests}" != "x" ]; then \
            echo "not ( $${skip_tests} )"; \
        fi )


%:
	dh $@ --buildsystem=pybuild

execute_after_dh_clean:
	rm -rf $(BUILD_DIR_SERIAL) $(BUILD_DIR_MPI)
	rm -rf .pytest_cache

override_dh_auto_clean:
	dh_auto_clean -D $(BUILD_DIR_SERIAL) || /bin/true
	dh_auto_clean -D $(BUILD_DIR_MPI) || /bin/true
	rm -Rf docs/_build docs_api/_build

override_dh_auto_configure:
	mkdir $(BUILD_DIR_SERIAL); bash -O extglob -c "cp -ra ./!($(BUILD_DIR_SERIAL)) $(BUILD_DIR_SERIAL)"
	sed "s/    \"h5py\./    \"h5py.$(SUBMODULE_SERIAL)./g; s/    \"h5py\",/    \"h5py.$(SUBMODULE_SERIAL)\",/g" -i $(BUILD_DIR_SERIAL)/pyproject.toml
	sed "s/flavour=''/flavour='$(SUBMODULE_SERIAL)'/" -i $(BUILD_DIR_SERIAL)/setup_build.py
	mv $(BUILD_DIR_SERIAL)/h5py $(BUILD_DIR_SERIAL)/$(SUBMODULE_SERIAL)
	cp -r debian/wrapper_module/h5py $(BUILD_DIR_SERIAL)
	mv $(BUILD_DIR_SERIAL)/$(SUBMODULE_SERIAL) $(BUILD_DIR_SERIAL)/h5py
	mkdir $(BUILD_DIR_MPI); bash -O extglob -c "cp -ra ./!($(BUILD_DIR_SERIAL)|$(BUILD_DIR_MPI)) $(BUILD_DIR_MPI)"
	sed "s/    \"h5py\./    \"h5py.$(SUBMODULE_MPI)./g; s/    \"h5py\",/    \"h5py.$(SUBMODULE_MPI)\",/g" -i $(BUILD_DIR_MPI)/pyproject.toml
	sed "s/flavour=''/flavour='$(SUBMODULE_MPI)'/" -i $(BUILD_DIR_MPI)/setup_build.py
	mv $(BUILD_DIR_MPI)/h5py $(BUILD_DIR_MPI)/$(SUBMODULE_MPI)
	cp -r debian/wrapper_module/h5py $(BUILD_DIR_MPI)
	mv $(BUILD_DIR_MPI)/$(SUBMODULE_MPI) $(BUILD_DIR_MPI)/h5py

# Note on versioned build-dependencies: upstream marks lower supported versioned-dependencies
# using equality (e.g. "mpi4py ==3.0.3"), meaning the lower supported version is forced in upstream pypi builds.
# We generally want to build using higher versions (the most recent available and packaged in unstable)
# Upstream suggests switching off version checking in that case, by setting H5PY_SETUP_REQUIRES=0.
# However rather than applying H5PY_SETUP_REQUIRES=0, in Debian we maintain minimal version checks
# by patching setup.py to inequalities where needed (e.g. "mpi4py >=3.0.3")

# build MPI build for both arch and indep builds (i.e. use MPI build to build docs in arch-indep build)
override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc HDF5_USE_SHLIB=yes HDF5_MPI=ON HDF5_PKGCONFIG_NAME=hdf5-mpi H5PY_SYSTEM_LZF=1 dh_auto_build -D $(BUILD_DIR_MPI)
	for DIR in $$(find .pybuild/cpython3*mpi -name build); do \
		cp -r $(CURDIR)/debian/wrapper_module/h5py/* $$DIR/h5py/; \
	done
	cd $(BUILD_DIR_MPI)/lzf; $(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell $(PKG_CONFIG) --cflags --libs hdf5-mpi liblzf) -fPIC -shared lzf_filter.c -o liblzf_filter.so

# build serial build only for arch builds
execute_after_dh_auto_build-arch: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-arch: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-arch:
	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) HDF5_PKGCONFIG_NAME=hdf5-serial HDF5_USE_SHLIB=yes H5PY_SYSTEM_LZF=1 dh_auto_build -a -D $(BUILD_DIR_SERIAL)
	for DIR in $$(find .pybuild/cpython3*serial -name build); do \
		cp -r $(CURDIR)/debian/wrapper_module/h5py/* $$DIR/h5py/; \
	done
	cd $(BUILD_DIR_SERIAL)/lzf; $(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell $(PKG_CONFIG) --cflags --libs hdf5-serial liblzf) -fPIC -shared lzf_filter.c -o liblzf_filter.so


ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=$(PYBUILD_DIR_MPI) mpirun -n 1 $(MAKE) -C docs html
	PYTHONPATH=$(PYBUILD_DIR_MPI) mpirun -n 1 $(MAKE) -C docs_api html
endif

override_dh_auto_test-indep:

# should be running build-time tests with the --no-network option, not -m "not nonetwork"
# but it is not recognised inside h5py.run_tests()
# see https://github.com/h5py/h5py/issues/2286
override_dh_auto_test-arch:
ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	if [ "x$(SKIP_TESTS)" != "x" ]; then echo "skipping tests: $(SKIP_TESTS)"; fi
	set -e; \
	for DIR in $$(find $(CURDIR)/.pybuild/cpython3*serial -name build); do \
		echo "Running serial tests on $$DIR"; \
		rm -rf $$DIR/h5py/_debian_h5py_serial/tests/data_files ; \
		cp -r $(CURDIR)/h5py/tests/data_files $$DIR/h5py/_debian_h5py_serial/tests/; \
		cd $$DIR/..; PYTHONPATH=$$DIR python$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/') \
		-c "from sys import exit; import h5py; exit(h5py.run_tests('-v -k \"$(SKIP_TESTS)\"'))"; \
		rm -rf $$DIR/h5py/_debian_h5py_serial/tests/data_files ; \
	cd ../..; done;
	set -e; \
	for DIR in $$(find $(CURDIR)/.pybuild/cpython3*mpi -name build); do \
		echo "Running MPI tests on $$DIR"; \
		rm -rf $$DIR/h5py/_debian_h5py_mpi/tests/data_files ; \
		cp -r $(CURDIR)/h5py/tests/data_files $$DIR/h5py/_debian_h5py_mpi/tests/; \
		cd $$DIR/..; pyver=$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/'); \
		PYTHONPATH=$$DIR python$$pyver -mpytest -v --with-mpi -p no:xvfb -k "$(SKIP_TESTS) and not TestMPI" $$DIR/h5py/_debian_h5py_mpi/tests; \
		PYTHONPATH=$$DIR mpirun -n 2 python$$pyver -mpytest -v --with-mpi -p no:xvfb -k TestMPI $$DIR/h5py/_debian_h5py_mpi/tests/test_file.py; \
		rm -rf $$DIR/h5py/_debian_h5py_mpi/tests/data_files ; \
	cd ../..; done;
else
	echo "Tests not run since nocheck was set in DEB_BUILD_OPTIONS"
endif

dh_auto_install_mpi: $(eval SHELL := /bin/bash)
	PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc HDF5_PKGCONFIG_NAME=hdf5-mpi HDF5_USE_SHLIB=yes HDF5_MPI=ON H5PY_SYSTEM_LZF=1 dh_auto_install -D $(BUILD_DIR_MPI)

override_dh_auto_install-arch: dh_auto_install_mpi $(eval SHELL := /bin/bash)
	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) HDF5_PKGCONFIG_NAME=hdf5-serial HDF5_USE_SHLIB=yes H5PY_SYSTEM_LZF=1 dh_auto_install -D $(BUILD_DIR_SERIAL)

override_dh_auto_install-indep: dh_auto_install_mpi
	mkdir -p debian/python3-h5py/usr/lib/python3/dist-packages/h5py
	cp debian/wrapper_module/h5py/__init__.py debian/python3-h5py/usr/lib/python3/dist-packages/h5py
	cp -r debian/python3-h5py-mpi/usr/lib/python$(PY3VER)/dist-packages/h5py-*.dist-info debian/python3-h5py/usr/lib/python3/dist-packages/
	sed "/Requires-Dist: mpi4py/d" -i debian/python3-h5py/usr/lib/python3/dist-packages/h5py*.dist-info/METADATA

## h5py 3.14.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/h5py.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/h5py.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/h5py"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/h5py"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

show:
	@python -m webbrowser -t "file://$(shell pwd)/_build/html/index.html"

=== debian/changelog ===
h5py (3.14.0-3) unstable; urgency=medium

  * Team upload
  * Adopt patch from Fedora to fix build with
    IEEE long double on ppc64el (Closes: #1114002)

 -- Graham Inggs <ginggs@debian.org>  Fri, 05 Sep 2025 18:14:02 +0000

h5py (3.14.0-2) unstable; urgency=medium

  * debian patch test_endian.patch adapts dataset repr tests to allow
    for system endianness. Needed for s390x to pass tests.
    cf. upstream issue #2669

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Aug 2025 18:46:15 +0200

h5py (3.14.0-1) unstable; urgency=medium

  * New upstream release
    - versioned Build-Depends: python3-numpy (>= 2.0.0~)
  * Build-Depends: python3-numpy-dev (provides dh_numpy3)
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Aug 2025 15:46:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: h5py
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Section: python
 Priority: optional
@@ -18,7 +17,8 @@
                python3-all-dev:any,
                python3-cached-property,
                python3-mpi4py (>= 3.1.4),
-               python3-numpy (>= 1.19.3),
+               python3-numpy (>= 2.0.0~),
+               python3-numpy-dev,
                python3-pkgconfig,
                python3-pytest <!nocheck>,
                python3-pytest-mpi <!nocheck>,
@@ -28,7 +28,7 @@
                libjs-mathjax,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/h5py
 Vcs-Git: https://salsa.debian.org/science-team/h5py.git
 Homepage: https://www.h5py.org/

## h5py 3.15.1

=== debian/changelog ===
h5py (3.15.1-4) unstable; urgency=medium

  * Team upload.
  * Fix build with multiple supported interpreters in the archive,
    cherry-picking the patch from Ubuntu (Closes: #1121393).
  * Add ca-certificates to autopkgtests for curl.

 -- Stuart Prescott <stuart@debian.org>  Fri, 05 Dec 2025 11:45:30 +1100

h5py (3.15.1-3) unstable; urgency=medium

  * update debian patches for ppc arches
    - ppc-float128.patch: apply h5t special handling to ppc64le
      only, keeping ppc64 handling, and replace ppc64le with ppc
      (powerpc) in list of UNSUPPORTED_LONG_DOUBLE in test_dtype.py
    - drop skip-test-data-ppc64.patch and skip-test-ppc64el.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 03 Nov 2025 15:09:55 +0100

h5py (3.15.1-2) unstable; urgency=medium

  * debian patch skip-test-data-ppc64.patch skips failing tests on
    ppc64 (insufficient precision or unsupported float128)
  * drop deprecated debian patches
    - hdf5_pkgconfig.patch (no longer used)
    - python3-dbg_skip_file_test_exception.patch (upstream PR#1642)
    - test-skip-test_float_round_tripping.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 02 Nov 2025 11:33:54 +0100

h5py (3.15.1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch test_endian.patch
    - deprecates update_mpi4py.patch
  * set DEB_CFLAGS_MAINT_APPEND to ensure include path to lzf.h is
    known when lzf_filter.o is compiled.
    Link lzf_filter.o before -llzf when building the standalone plugin
    liblzf_filter.so to ensure NEEDED is written into the library.
  * update debian patches
    - build_flavour.patch to apply flavour when
      processing module template files (*.templ.pyd or *.templ.pyx)
    - skip-test-ppc64el.patch imports ut from common.py

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Nov 2025 21:54:14 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export DEB_CFLAGS_MAINT_APPEND = $(shell pkgconf --cflags liblzf)
 
 PYBUILD_NAME_SERIAL=h5py_serial
 PYBUILD_NAME_MPI=h5py_mpi
@@ -92,7 +94,8 @@
 	for DIR in $$(find .pybuild/cpython3*mpi -name build); do \
 		cp -r $(CURDIR)/debian/wrapper_module/h5py/* $$DIR/h5py/; \
 	done
-	cd $(BUILD_DIR_MPI)/lzf; $(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell $(PKG_CONFIG) --cflags --libs hdf5-mpi liblzf) -fPIC -shared lzf_filter.c -o liblzf_filter.so
+	cd $(BUILD_DIR_MPI); \
+	$(CC) `find . -name lzf_filter.o | sort | head -n 1` $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell $(PKG_CONFIG) --cflags --libs hdf5-mpi    liblzf) -fPIC -shared -o liblzf_filter.so
 
 # build serial build only for arch builds
 execute_after_dh_auto_build-arch: export http_proxy=127.0.0.1:9
@@ -102,7 +105,8 @@
 	for DIR in $$(find .pybuild/cpython3*serial -name build); do \
 		cp -r $(CURDIR)/debian/wrapper_module/h5py/* $$DIR/h5py/; \
 	done
-	cd $(BUILD_DIR_SERIAL)/lzf; $(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell $(PKG_CONFIG) --cflags --libs hdf5-serial liblzf) -fPIC -shared lzf_filter.c -o liblzf_filter.so
+	cd $(BUILD_DIR_SERIAL); \
+	$(CC) `find . -name lzf_filter.o | sort | head -n 1` $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell $(PKG_CONFIG) --cflags --libs hdf5-serial liblzf) -fPIC -shared -o liblzf_filter.so
 
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
@@ -154,4 +158,3 @@
 	mkdir -p debian/python3-h5py/usr/lib/python3/dist-packages/h5py
 	cp debian/wrapper_module/h5py/__init__.py debian/python3-h5py/usr/lib/python3/dist-packages/h5py
 	cp -r debian/python3-h5py-mpi/usr/lib/python$(PY3VER)/dist-packages/h5py-*.dist-info debian/python3-h5py/usr/lib/python3/dist-packages/
-	sed "/Requires-Dist: mpi4py/d" -i debian/python3-h5py/usr/lib/python3/dist-packages/h5py*.dist-info/METADATA

=== debian/tests/control ===
Tests: python3-serial
Depends: python3-all,
         python3-h5py,
         python3-h5py-serial,
         python3-pytest,
         python3-pytest-mpi,
Restrictions: allow-stderr

Tests: python3-mpi
Depends: python3-all,
         python3-h5py,
         python3-h5py-mpi,
         python3-pytest,
         python3-pytest-mpi,
         mpi-default-bin
Restrictions: allow-stderr

Tests: python3-serial-network
Depends: python3-all,
         python3-h5py,
         python3-h5py-serial,
         python3-pytest,
         python3-pytest-mpi,
         ca-certificates,
Restrictions: allow-stderr, needs-internet

Tests: python3-mpi-network
Depends: python3-all,
         python3-h5py,
         python3-h5py-mpi,
         python3-pytest,
         python3-pytest-mpi,
         mpi-default-bin,
         ca-certificates,
Restrictions: allow-stderr, needs-internet

Test-Command: cd / && python3 -c 'import sys, h5py; sys.exit(not h5py.h5z.filter_avail(32000))'
Depends: python3, @
Restrictions: allow-stderr

Test-Command: H5PY_ALWAYS_USE_MPI=1 cd / && python3 -c 'import sys, h5py; sys.exit(not h5py.h5z.filter_avail(32000))'
Depends: python3, @
Restrictions: allow-stderr
